<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerDataCollection.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">TrackerDataCollection.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_tracker_data_data_8h_source.html">eicd/TrackerDataData.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_tracker_data_8h_source.html">eicd/TrackerData.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_tracker_data_obj_8h_source.html">eicd/TrackerDataObj.h</a>&quot;</code><br />
<code>#include &quot;podio/ICollectionProvider.h&quot;</code><br />
<code>#include &quot;podio/CollectionBase.h&quot;</code><br />
<code>#include &quot;podio/CollectionIDTable.h&quot;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;vector&gt;</code><br />
<code>#include &lt;deque&gt;</code><br />
<code>#include &lt;array&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;ostream&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for TrackerDataCollection.h:</div>
<div class="dyncontent">
<div class="center"><img src="_tracker_data_collection_8h__incl.png" border="0" usemap="#eicd_2_tracker_data_collection_8h" alt=""/></div>
<map name="eicd_2_tracker_data_collection_8h" id="eicd_2_tracker_data_collection_8h">
<area shape="rect" id="node2" href="_tracker_data_data_8h.html" title="eicd/TrackerDataData.h" alt="" coords="5,304,167,331"/>
<area shape="rect" id="node3" href="_tracker_data_8h.html" title="eicd/TrackerData.h" alt="" coords="249,80,382,107"/>
<area shape="rect" id="node5" href="_tracker_data_obj_8h.html" title="eicd/TrackerDataObj.h" alt="" coords="124,229,277,256"/>
<area shape="rect" id="node4" href="_tracker_data_const_8h.html" title="eicd/TrackerDataConst.h" alt="" coords="231,155,399,181"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_tracker_data_collection_8h__dep__incl.png" border="0" usemap="#eicd_2_tracker_data_collection_8hdep" alt=""/></div>
<map name="eicd_2_tracker_data_collection_8hdep" id="eicd_2_tracker_data_collection_8hdep">
<area shape="rect" id="node2" href="_tracker_data_8cc.html" title="src/TrackerData.cc" alt="" coords="5,80,140,107"/>
<area shape="rect" id="node3" href="_tracker_data_collection_8cc.html" title="src/TrackerDataCollection.cc" alt="" coords="165,80,357,107"/>
<area shape="rect" id="node4" href="_tracker_data_const_8cc.html" title="src/TrackerDataConst.cc" alt="" coords="381,80,551,107"/>
<area shape="rect" id="node5" href="_tracker_pulse_collection_8cc.html" title="src/TrackerPulseCollection.cc" alt="" coords="575,80,773,107"/>
</map>
</div>
</div>
<p><a href="_tracker_data_collection_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data_collection_iterator.html">eic::TrackerDataCollectionIterator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_data_collection.html">eic::TrackerDataCollection</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceeic"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html">eic</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aa2e7a0453f0e92ec59c8a626bc534a4f"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#aa2e7a0453f0e92ec59c8a626bc534a4f">eic::TrackerDataDataContainer</a> = std::vector&lt; TrackerDataData &gt;</td></tr>
<tr class="separator:aa2e7a0453f0e92ec59c8a626bc534a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3387c2060c3770bd84497a7f4fc8e27"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#aa3387c2060c3770bd84497a7f4fc8e27">eic::TrackerDataObjPointerContainer</a> = std::deque&lt; TrackerDataObj * &gt;</td></tr>
<tr class="separator:aa3387c2060c3770bd84497a7f4fc8e27"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad55d67732e03db076ffece4c6b05ea70"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceeic.html#ad55d67732e03db076ffece4c6b05ea70">eic::operator&lt;&lt;</a> (std::ostream &amp;o, const TrackerDataCollection &amp;v)</td></tr>
<tr class="separator:ad55d67732e03db076ffece4c6b05ea70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
